Page MenuHomePhabricator

The new slider mechanism does not work with touch as expected
Closed, ResolvedPublic

Description

Test results for different browsers/systems with touch. The results refer to the current version of the patch.

https://gerrit.wikimedia.org/r/351642

  • Desktop with Chrome emulating touch ✔
  • Mobile Phone Android 4.1.2/4.3 with FF 53 ✔
  • Mobile Phone Android 4.1.2/4.3 with Chrome 58 ✔
  • Mobile Phone Android 4.1.2/4.3 Opera Mini 24.0 ✘ ( can't drag but click works )
  • Mobile Phone Android 4.1.2/4.3 with native browser 4.1/4.3 ✘ ( can't drag but click works )
  • Mobile Phone iPhone with Safari 10 ✔
  • Tablet iPad iOS 10.3.1 with Safari 10 ✔
  • Tablet iPad iOS 10.3.1 with Opera Mini 14.0 ✔
  • Tablet iPad iOS 10.3.1 with Chrome 58 ✔
  • Tablet iPad iOS 10.3.1 with FF 7.4 ✘ ( drag does not work in most cases but click works )

Originally taken from feedback in https://www.mediawiki.org/wiki/Topic:Tpllfvmbra38ajrm

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 2 2017, 7:43 AM
Tobi_WMDE_SW moved this task from Proposed to Todo on the WMDE-QWERTY-Team board.May 2 2017, 2:47 PM

Change 351642 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/RevisionSlider@master] [WIP] Convert touch events to mouse events on pointers

https://gerrit.wikimedia.org/r/351642

WMDE-Fisch moved this task from Todo to Currently in sprint on the WMDE-QWERTY-Team board.
WMDE-Fisch added a comment.EditedMay 4 2017, 9:47 AM

Tested the patch with:

Current results will be updated in the task decription ^^^

WMDE-Fisch added a comment.EditedMay 4 2017, 1:55 PM

PS2 of the patch fixes an issues with Chrome using touch and zoomed in view. The offset calculation of jQuery is not correct in theses cases so I added a workaround for that taken from the jQuery GitHub[1].

[1] https://github.com/jquery/jquery/issues/3187

The offset calculation of jQuery is not correct in theses cases so I added a workaround for that taken from the jQuery GitHub[1].

Oh, déjà vu, that drag-offset issue (and it’s close friends) are with me since 2010 or so. Drag/Drop in jQUI and zoom don’t go well together (d3 does it well)

So after investing way to much time into this issue I guess we have to accept for now, that dragging might not work on the above with ✘ marked browsers.

The native Android browser is only used until Android 4.4 and afaik Chrome is also installed on these devices. The market share under mobile browsers for the Android browser is currently ~6,35% [1]

Firefox market share is about ~0,53% [1]. I would assume the share for Firefox on iOS is especially low since the browser is not very well supported on iOS.

Opera Mini market share under mobile browsers is roughly ~0,52% [1].

It would be good to test it at least with some Windows phone mobile browser but I lack the capability. @Tobi_WMDE_SW could you test IE with your touch Laptop?

[1] https://www.netmarketshare.com/browser-market-share.aspx?qprid=0&qpcustomd=1

WMDE-Fisch updated the task description. (Show Details)May 5 2017, 4:46 PM

that dragging might not work on the above with ✘ marked browsers.

Since it works in current browsers and not in an old version of one I guess it is a browser bug, so it is unlikely to get worse in the future.

Firefox market share is about ~0,53% [1]. I would assume the share for Firefox on iOS is especially low since the browser is not very well supported on iOS.

Firefox on iOS is a wrapper of the internal iOS browser (since no external engines allowed on iOS), so we can very much expect the results of the corresponding safari version.

Lea_WMDE moved this task from Incoming to Doing on the Revision-Slider board.May 8 2017, 12:19 PM

Change 351642 merged by jenkins-bot:
[mediawiki/extensions/RevisionSlider@master] Convert touch events to mouse events on pointers

https://gerrit.wikimedia.org/r/351642

Tobi_WMDE_SW closed this task as Resolved.May 30 2017, 10:22 AM
Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Jun 6 2017, 2:44 PM